You must install SQL Native Client 11.0 on all workstations.

You mention you are using DataFlex 18.2. This version comes with mssqldrv 6.1. This driver does not recognize "ODBC driver 13 for SQL Server" . This ODBC driver did not exist yet when DataFlex 18.2 came out.
DataFlex 19.0 comes with mssqldrv 6.2. This driver will recognize "ODBC driver 13 for SQL Server" and will use it if installed.

To summarize: Following is a list of available SQL Server clients:
(You can see which one(s) are installed by starting ODBC Administartor (32bit) and looking at the drivers tab page).

Code:
Client name                      SQL Server version            Version number
=======================================================================
SQL Server                       SQL Server 2000 client        8
SQL Native Client                SQL Server 2005 client        9
SQL Server Native Client 10.0    SQL Server 2008 client        10
SQL Server Native Client 11.0    SQL Server 2012 client        11
ODBC Driver 11 for SQL Server    SQL Server 2014 client        12
ODBC Driver 13 for SQL Server    SQL Server 2016 client        13
DataFlex 18.2/mssqldrv 6.1
Will only recognize up to SQL Server Native Client 11.0. It will use the highest installed version on the workstation. (It will NOT recognize "ODBC Driver 11/13 for SQL Server")

DataFlex 19.0/mssqldrv 6.2 or later.
Will recognize up to "ODBC Driver 13 for SQL Server". Will use the highest installed version on the workstation.